SystemOrganization addCategory: #ConfigurationOfForum!

Object subclass: #ConfigurationOfForum
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfForum'!

!ConfigurationOfForum commentStamp: '' prior: 0!
A ConfigurationOfQCMagritte is xxxxxxxxx.

Instance Variables
	project:		<Object>

project
	- xxxxx
!

!ConfigurationOfForum class methodsFor: 'as yet unclassified' stamp: 'StephanEggermont 1/23/2014 17:28'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfForum class methodsFor: 'as yet unclassified' stamp: 'StephanEggermont 1/23/2014 17:27'!
project

	^self new project! !

!ConfigurationOfForum methodsFor: 'baselines' stamp: 'StephanEggermont 1/29/2014 13:43'!
baseline010: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec author: 'StephanEggermont'.
		spec repository: 'http://ss3.gemtalksystems.com/ss/Forum'.
		spec 
			project: 'Bootstrap' with: [
				spec
					className: 'ConfigurationOfBootstrapMagritte';
					versionString: #'development';
					repository: 'http://smalltalkhub.com/mc/TorstenBergmann/BootstrapMagritte/main' ].
		spec
			package: 'TutorialBrowser' with: [  
				 spec repository: 'http://ss3.gemtalksystems.com/ss/SpaTutorial' ].
		spec project: 'QCMagritte' with: [
			spec
				className: 'ConfigurationOfQCMagritte';
				versionString: #'development';
				loads: #( 'Demo' );
				repository: 'http://smalltalkhub.com/mc/DiegoLont/QCMagritte/main' ].
		spec project: 'Glamour' with: [
			spec
				className: 'ConfigurationOfGlamour';
				file: 'ConfigurationOfGlamour';
				version: #development;
				repository: 'http://www.smalltalkhub.com/mc/Moose/Glamour/main' ].
		spec
			 package: 'Forum' with: [ spec requires: #( 'Glamour' 'Bootstrap' 'QCMagritte' 'TutorialBrowser') ].
		spec 
			group: 'default' with: #('Forum' )  ]! !

!ConfigurationOfForum methodsFor: 'symbolic versions' stamp: 'StephanEggermont 1/23/2014 17:20'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfForum methodsFor: 'symbolic versions' stamp: 'StephanEggermont 1/23/2014 17:20'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.1'.
! !

!ConfigurationOfForum methodsFor: 'accessing' stamp: 'StephanEggermont 1/23/2014 17:10'!
project

	^ project ifNil: [ | projectAttributes |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		project := (Smalltalk at: #MetacelloMCProject) new.
		projectAttributes := #().
		Smalltalk at: #SystemVersion ifPresent: [:cl | | versionString |
			versionString := cl current version.
			((versionString beginsWith: 'Pharo-1.0') or: [versionString beginsWith: 'PharoCore1.0'])
				ifTrue: [ projectAttributes := projectAttributes, #(#'MagritteForPharo1.0') ] ].
		project projectAttributes:  projectAttributes.
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear ]! !

!ConfigurationOfForum methodsFor: 'symbolic versions' stamp: 'StephanEggermont 2/7/2014 12:18'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version:  '0.1'.
! !

!ConfigurationOfForum methodsFor: 'versions' stamp: 'StephanEggermont 1/24/2014 12:42'!
version010: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		
		spec description: '0.1:
- Latest changes:
	- gemtalksystems
	- added glamour
	- initial version
	'.]
 ! !
